using Core.Entities;

namespace Application.Services.Database;

public interface IMedicalHistoryRepository
{
    Task<MedicalHistory> GetByIdAsync(Guid id);

    Task<MedicalHistory?> GetByUserIdAsync(Guid userId);

    Task AddAsync(MedicalHistory medicalHistory);

    Task UpdateAsync(MedicalHistory medicalHistory);

}
